# CEGUI::WindowEventArgs Class Reference

EventArgs based class that is used for objects passed to handlers triggered for events concerning some Window object. More...

Inheritance diagram for CEGUI::WindowEventArgs:

[legend]
Collaboration diagram for CEGUI::WindowEventArgs:

[legend]
List of all members.

## Public Member Functions

| WindowEventArgs (Window *wnd)

## Public Attributes

Window * | window
| pointer to a Window object of relevance to the event.

## Detailed Description

EventArgs based class that is used for objects passed to handlers triggered for events concerning some Window object.